<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author  		christian.rodriguez
@description  	dialogo para ingresar un área de captura manualmente
@cu  			CU-TV-0F-001
@version  		2.0

-->


<h:form id="establecerAreasOfertasManualForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        xmlns:misc="http://java.sun.com/jsf/composite/misc">

    <p:messages id="msgsAAO" showDetail="false" globalOnly="false" />

    <p:spacer height="5" />

    <p:fieldset>
        <legend>
            <h:outputText styleClass="legendTitle"
                          value="Adicionar área para oferta" />
        </legend>

        <h:panelGrid columns="2" cellspacing="7"
                     columnClasses="colPequena, colMediana" >

            <h:outputLabel value="Fecha: " styleClass="outputLabelStyle" />
            <h:outputText value="#{establecimientoAreasOfertas.fechaActual}">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
            </h:outputText>
        </h:panelGrid>

        <h:panelGrid columns="1" width="100%">
            <misc:seleccionDepartamentoYMunicipioCC valuesAreRequired="true"
                                                    vertical="true" useZona="true" zonaIsRequired="false"/>
        </h:panelGrid>

        <h:panelGrid columns="1" cellspacing="7">
            <p:commandButton value="Guardar" icon="ui-icon-disk"
                             action="#{establecimientoAreasOfertas.guardarAreaOferta}" 
                             oncomplete="handleCompleteSIC(xhr, status, args, adicionAreaOfertaNoSIGWV, false);"
                             update=":establecerAreasOfertasManualForm,
                             #{componentsToUpdateParam},
                             :msgsEAO" >
                <f:setPropertyActionListener
                    target="#{establecimientoAreasOfertas.areaConInformacionGIS}"
                    value="false" />
            </p:commandButton>
        </h:panelGrid>
    </p:fieldset>
</h:form>